
Core - Bug # 33533

Status: New Priority: Should have
Author: springingerl Category: Workspaces
Created: 2012-01-30 Assigned To:
Updated: 2015-01-23 Due date:
TYPO3 Version: 4.5
PHP Version:
Complexity:
Is Regression:
Sprint Focus:
Subject: menu in frontend shows (moved) pages from LIVE if you preview a workspace
Description

menu in frontend shows (moved) pages from LIVE if you preview a workspace

    -  LIVE-workspace: create a page and move it into a subpage
    -  change workspace to DRAFT
    -  preview DRAFT in browser: the menu still shows the page at the original place

LIVE before moving & preview of DRAFT after moving:
+ page 1
+ page 2
+ page 3
+ page new
+ page 4

LIVE after moving:
+ page 1
+ page 2| + page new
+ page 3
+ page 4

[it seems that it works if i set $unsetMovePointers true in typo3/sysext/cms/tslib/class.tslib_menu.php > $GLOBALS['TSFE']
>sys_page->versionOL('pages',$row,true);]

Related issues:
related to Core - Bug # 37209: Workspace preview shows pages changes from all... Resolved 2012-05-16

History
#1 - 2013-12-10 01:04 - Michael Stucki
- Category set to Workspaces

#2 - 2013-12-10 01:06 - Michael Stucki
- Project changed from Workspaces & Versioning to Core
- Category changed from Workspaces to Workspaces

#3 - 2015-01-23 11:33 - Mathias Schreiber
- Target version set to 7.5
